summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eugene Makarihkin2022-02-08 17:13:56 +0100
committer Willy Sudiarto Raharjo2022-02-10 08:09:59 +0100
commit1b8b6859eded8827879b0e9060b3dcb5cf12eaea (patch)
treea58f7436bc66f55e7a63fa561ddcfdad594b85b1
parent64e589d1e52df0ff092d4752ba2e59d31b453180 (diff)
downloadslackbuilds-1b8b6859eded8827879b0e9060b3dcb5cf12eaea.tar.gz
desktop/pekwm: Updated for version 0.2.1
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/pekwm/pekwm.SlackBuild41
-rw-r--r--desktop/pekwm/pekwm.info6
2 files changed, 23 insertions, 24 deletions
diff --git a/desktop/pekwm/pekwm.SlackBuild b/desktop/pekwm/pekwm.SlackBuild
index 7447a5d9aa..8990eadf43 100644
--- a/desktop/pekwm/pekwm.SlackBuild
+++ b/desktop/pekwm/pekwm.SlackBuild
@@ -27,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pekwm
-VERSION=${VERSION:-0.1.18}
+VERSION=${VERSION:-0.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -40,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -81,19 +78,20 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
-
-make
-make install DESTDIR=$PKG
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -101,13 +99,11 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-install -Dm0755 $CWD/xinitrc.pekwm $PKG/etc/X11/xinit/xinitrc.pekwm
-install -Dm0644 $CWD/pekwm.desktop $PKG/usr/share/xsessions/pekwm.desktop
-install -Dm0644 $CWD/pekwm.desktop $PKG/usr/share/apps/kdm/sessions/pekwm.desktop
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS ChangeLog INSTALL LICENSE NEWS README \
+ AUTHORS INSTALL LICENSE NEWS.md README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -115,5 +111,8 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+install -Dm0755 $CWD/xinitrc.pekwm $PKG/etc/X11/xinit/xinitrc.pekwm
+install -Dm0644 $CWD/pekwm.desktop $PKG/usr/share/applications/pekwm.desktop
+
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/pekwm/pekwm.info b/desktop/pekwm/pekwm.info
index 39bf62927b..d2f9322822 100644
--- a/desktop/pekwm/pekwm.info
+++ b/desktop/pekwm/pekwm.info
@@ -1,8 +1,8 @@
PRGNAM="pekwm"
-VERSION="0.1.18"
+VERSION="0.2.1"
HOMEPAGE="https://github.com/pekdon/pekwm"
-DOWNLOAD="https://github.com/pekdon/pekwm/releases/download/release-0.1.18/pekwm-0.1.18.tar.gz"
-MD5SUM="00697ed12201541f5c96b3cf48ca05e2"
+DOWNLOAD="https://github.com/pekdon/pekwm/releases/download/release-0.2.1/pekwm-0.2.1.tar.gz"
+MD5SUM="8b5021bea8f3d5c7d6223d9d16a1aea3"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""